Package org.opensaml.xmlsec.encryption

# Interface XMLEncryptionBuilder<XMLEncryptionType extends XMLObject>

Type Parameters:
  `XMLEncryptionType` - the type of XMLObject being built

All Superinterfaces:
  `XMLObjectBuilder<XMLEncryptionType>`

All Known Implementing Classes:
  `AgreementMethodBuilder`, `CarriedKeyNameBuilder`, `CipherDataBuilder`, `CipherReferenceBuilder`, `CipherValueBuilder`, `ConcatKDFParamsBuilder`, `DataReferenceBuilder`, `DerivedKeyBuilder`, `DerivedKeyNameBuilder`, `DHKeyValueBuilder`, `EncryptedDataBuilder`, `EncryptedKeyBuilder`, `EncryptionMethodBuilder`, `EncryptionPropertiesBuilder`, `EncryptionPropertyBuilder`, `GeneratorBuilder`, `IterationCountBuilder`, `KANonceBuilder`, `KeyDerivationMethodBuilder`, `KeyLengthBuilder`, `KeyReferenceBuilder`, `KeySizeBuilder`, `MasterKeyNameBuilder`, `MGFBuilder`, `OAEPparamsBuilder`, `OriginatorKeyInfoBuilder`, `OtherSourceBuilder`, `PBKDF2ParamsBuilder`, `PBuilder`, `PgenCounterBuilder`, `PRFBuilder`, `PublicBuilder`, `QBuilder`, `RecipientKeyInfoBuilder`, `ReferenceListBuilder`, `SaltBuilder`, `SeedBuilder`, `SpecifiedBuilder`, `TransformsBuilder`

public interface XMLEncryptionBuilder<XMLEncryptionType extends XMLObject> extends XMLObjectBuilder<XMLEncryptionType>
Builder for XMLObjects from `org.opensaml.xmlsec.encryption`.

## Method Summary

Modifier and Type
Method
Description
`XMLEncryptionType`
`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull XMLEncryptionType buildObject()
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.

Returns:
  built XMLObject